aide (0.19.3-1) unstable; urgency=medium

  * improve rules
    * 31_aide_aide
    * 31_aide_atop
    * 31_aide_dbus
    * 31_aide_debsecan
    * 31_aide_debsums
    * 31_aide_dpkg
    * 31_aide_git-annex
    * 31_aide_grub-efi
    * 31_aide_libvirt
    * 31_aide_man
    * 31_aide_munin
    * 31_aide_systemd
    * 31_aide_systemd-logind
    * 31_aide_udev
  * 31_aide_apt-cacher-ng: update distribution names
  * new rules:
    * 31_aide_borgmatic
    * 31_aide_ldconfig
    * 31_aide_ucf
  * make shellcheck happy in:
    * 01_aide_readcache
    * 10_aide_days
    * 10_aide_distribution
    * 10_aide_lvm_needsroot
    * 10_aide_usersuids
    * 20_aide_run_systemd-journald
    * 30_aide_apache2
    * 30_inn2_vars
    * 31_aide_amanda-server
    * 31_aide_apt
    * 31_aide_munin-nodes
    * 31_aide_svn-server
    * 31_aide_torrus
    * 31_aide_trac

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 16 Jun 2026 20:56:38 +0200

aide (0.19.3-1~exp1) experimental; urgency=medium

  [ Hannes von Haugwitz ]
  * Release aide 0.19.3
  * Drop "Priority: optional"
  * Bump to Standards-Version 4.7.3
  * Switch Build-Depends-Arch from libselinux1-dev to libselinux-dev

  [ Marc Haber ]
  * add debian/gbp.conf
  * update debian/watch to Version 5
  * add debian/README.source
  * change systemd services to allow manual restart after failure
  * dailyaidecheck: implement $SCRIPTRETVAL
  * aide.conf: remove old log handling method
  * new rules:
    * 31_aide_bitlbee
    * 31_aide_polkit
    * 31_aide_vzlogger
  * improve rules:
    * 10_aide_dateformats
    * 11_aide_dateformats_cury
    * 31_aide_cron-apt
    * 31_aide_dev
    * 31_aide_inn2
    * 31_aide_lighttpd
    * 31_aide_mdadm
    * 31_aide_munin-node
    * 31_aide_openvpn
    * 31_aide_php-common
    * 31_aide_samba
    * 31_aide_sniproxy
    * 31_aide_systemd (move rules to 31_aide_systemd_sessions)
    * 31_aide_systemd_sessions => 31_aide_systemd-logind
    * 31_aide_systemd-journald
    * 31_aide_udev
  * 31_aide_grub-efi is now basically empty
  * remove old log rotation rule from 31_aide_tiger.
    Tiger users, please submit a working configuration!

  [ Alexandre Detiste ]
  * use dh-cruft to register & purge /var/lib/aide/aide.db{,.new}

  [ Cropi ]
  * Fix typos in README, NEWS and aide.conf.5

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 01 Jun 2026 16:07:07 +0200

aide (0.19.2-3exp1) experimental; urgency=medium

  [ Hannes von Haugwitz ]
  * Drop "Priority: optional"
  * Bump to Standards-Version 4.7.3
  * Switch Build-Depends-Arch from libselinux1-dev to libselinux-dev

  [ Marc Haber ]
  * add debian/gbp.conf (switching to experimental)
  * update debian/watch to Version 5
  * new rules:
    * 31_aide_bitlbee
    * 31_aide_polkit
  * improved rules:
    * 10_aide_dateformats
    * 11_aide_dateformats_cury
    * 31_aide_dev
    * 31_aide_lighttpd
    * 31_aide_mdadm
    * 31_aide_munin-node
    * 31_aide_php-common
    * 31_aide_samba
    * 31_aide_systemd
    * 31_aide_systemd_sessions
    * 31_aide_udev

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 12 Feb 2026 22:37:42 +0100

aide (0.19.2-3) unstable; urgency=medium

  * complete implementation of build-cache
  * improve rules: 
    * 10_aide_dateformats
    * 10_aide_days
    * 10_aide_hardware
    * 11_aide_dateformats_cury
    * 31_aide_apt-cacher-ng
    * 31_aide_bind9
    * 31_aide_cups
    * 31_aide_dehydrated
    * 31_aide_dev
    * 31_aide_icinga2
    * 31_aide_man
    * 31_aide_postgresql
    * 31_aide_samba
    * 31_aide_sudo
    * 31_aide_systemd
    * 31_aide_torrus
    * 31_aide_udev
  * new rules:
    * 31_aide_grub-pc
    * 31_aide_ksmtuned
    * 31_aide_radvd
    * 31_aide_run_systemd_dynamic-uid
    * 31_aide_xfsprogs

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 14 Oct 2025 06:52:06 +0200

aide (0.19.2-2) unstable; urgency=medium

  * new rules:
    * 31_aide_cryptsetup
    * 31_aide_postgresql
    * 31_aide_systemd_tmpfiles
    * 31_aide_valkey
  * update rules
    * 10_aide_bits
    * 10_aide_dateformats
    * 11_aide_dateformats_cury
    * 31_aide_apt-cacher-ng
    * 31_aide_console-setup
    * 31_aide_dehydrated
    * 31_aide_dokuwiki
    * 31_aide_fwupd
    * 31_aide_gnupg
    * 31_aide_lighttpd
    * 31_aide_mariadb
    * 31_aide_run_systemd_netif
    * 31_aide_schroot
    * 31_aide_ssh-server
    * 31_aide_systemd_sessions
    * 31_aide_udev
    * 31_aide_dehydrated
    * 31_aide_samba
    * 31_aide_spamassassin
    * 31_aide_postgresql.
      Thanks to Anton Shestakov
  * remove obsolete 31_aide_postgresql-15

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 05 Sep 2025 08:00:24 +0200

aide (0.19.2-1) unstable; urgency=medium

  * New Upstream version 0.19.2
    * This fixes CVE-2025-54389 and CVE-2025-54409.
  * improve 31_aide_con-apt
  * move most Build-Dependencies to -Arch
  * override indep build targets to not invoke upstream build
  * make aide-dynamic an Arch: all package
  * reformat some files in debian/

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 14 Aug 2025 18:19:18 +0200

aide (0.19.1-2) unstable; urgency=medium

  * improve rules:
    * 31_aide_ssh-agent: get logic right
    * 31_aide_apt-cacher-ng: fix wrong regexps
    * 10_aide_checksums: put parens around the regexps
    * 31_aide_borgbackup, 31_aide_dokuwiki: get rid of }} bugs
    * 31_aide_apt-cacher-ng: numbers have become longer
    * refrain from using dpkg-architecture and its output.
  * remove wrong entry from 0.19.1-1 changelog

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 Jul 2025 16:37:12 +0200

aide (0.19.1-1) unstable; urgency=medium

  * upload to unstable
  * new upstream version 0.19.1
    * Fix race condition when adding new nodes during file system scan
  * new helper rule 10_aide_hardware defining hardware bus addresses
  * improve:
    * 31_aide_apt: use DEB_HOST_ARCH
    * 31_aide_console-setup
    * 31_aide_dev
    * 31_aide_lvm2
    * 31_aide_libvirt
    * 10_aide_lvm_needsroot
    * 31_aide_udev

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 08 Jul 2025 14:26:01 +0200

aide (0.19-2+exp1) experimental; urgency=medium

  * add portuguese debconf translation.
    Thanks to Américo Monteiro (Closes: #1107446)
  * aide.conf:
    * remove aide 0.18 specific comments
    * Add PidFile and LogDir
  * 98_aide_vfat: automated special handling of vfat partitions.
    * 31_aide_grub-efi and test 02-aide-path-check adapted accordingly.
  * improved pre-definition rules:
    * 10_aide_constants: define PORTNUMBER
    * 10_aide_run: define RUNUSER
  * new pre-definition rules:
    * 10_aide_basenotations: BASE64 etc
    * 10_aide_bits: number ranges for binary numbers
    * 10_aide_checksums: matching md5 sha256 checksums etc
    * 10_aide_dateformats: defines generic dates in many formats
    * 10_aide_usersuids: defines UIDs and user names with blacklist
    * 11_aide_dateformats_cury: defines dates in the current era in many
      formats
    * 11_aide_majorminor: defines major:minor device numbers
  * LVM handling: define names and UUIDs of volumes
  * Establish mechanism to run rule generators as root
  * new rules:
    * 10_aide_uuid
    * 31_aide_colord
    * 31_aide_git-annex
    * 31_aide_qemu-guest-agent
  * improve rules:
    * 10_aide_bootid
    * 10_aide_machineid
    * 31_aide_dev: use STRICTUUID
    * 31_aide_icinga2: use RELAXEDUUID
    * 31_aide_lastlog
    * 31_aide_udev: use STRICTUUID
    * 31_aide_systemd_journald: model journal file names better
    * 31_aide_wtmpdb
  * get rid of deprecated RamdiskData definition
    * 70_aide_dev
  * adapt to new log management:
    * 31_aide_acpid
    * 31_aide_apache2
    * 31_aide_apcupsd
    * 31_aide_aptitude
    * 31_aide_checksecurity
    * 31_aide_clamav
    * 31_aide_clamav-unofficial-sigs
    * 31_aide_freshclam
    * 31_aide_exim4_logs
    * 31_aide_haproxy
    * 31_aide_inn2
    * 31_aide_libvirt
    * 31_aide_netdata
    * 31_aide_privoxy
    * 31_aide_proftpd
    * 31_aide_rkhunter
    * 31_aide_rsnapshot
    * 31_aide_samba
    * 31_aide_sniproxy
    * 31_aide_squid
    * 31_aide_tiger
    * 31_aide_tt-rss
  * generic improvements to rules, use predefined regexps etc:
    * 31_aide_apt-cacher-ng
    * 31_aide_atop
    * 31_aide_bind9
    * 31_aide_borgbackup
    * 31_aide_cron-apt
    * 31_aide_cups
    * 31_aide_dbus
    * 31_aide_dehydrated
    * 31_aide_dev
    * 31_aide_dokuwiki
    * 31_aide_git-annex
    * 31_aide_gnupg
    * 31_aide_icinga2
    * 31_aide_initramfs-tools
    * 31_aide_irqbalance
    * 31_aide_lvm2
    * 31_aide_network
    * 31_aide_oidentd
    * 31_aide_openvpn
    * 31_aide_php-common
    * 31_aide_postgresql-15
    * 31_aide_runuser
    * 31_aide_samba
    * 31_aide_ssh-agent
    * 31_aide_ssh-server
    * 31_aide_sudo
    * 31_aide_systemd
    * 31_aide_systemd-journald
    * 31_aide_systemd-networkd
    * 31_aide_udev
    * 31_aide_wtmp
    * 70_aide_dev
  * add help requests to rules:
    * 31_aide_acpid
    * 31_aide_amanda-serve
  * remove rules
    * remove 10_aide_prevyear (covered in 10_aide_year)
    * remove 31_aide_openvpn-server (covered in 31_aide_openvpn)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 19 Jun 2025 17:22:57 +0200

aide (0.19-2) unstable; urgency=medium

  * new rule 31_aide_wtmpdb
  * improve rules:
    * 31_aide_postgresql-15
    * 31_aide_samba
    * 31_aide_gnupg
    * 31_aide_fwupd
    * 21_aide_php-version
    * 31_aide_mariadb
    * 31_aide_ssh-agent

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 03 May 2025 14:48:54 +0200

aide (0.19-1) unstable; urgency=medium

  * new upstream release (Closes: #257134)
    * document incompatibility regarding unrestridcted negative rules
    * adapt autopkgtest to new negative rule behavior
    * adapt 70_aide_proc_sys to new incompatible semantics
  * improve 31_aide_samba

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 06 Apr 2025 14:29:00 +0200

aide (0.18.8-3) unstable; urgency=medium

  [ Marc Haber ]
  * improve rules:
    * 31_aide_runuser
    * 31_aide_systemd-cron
    * 31_aide_apt
  * Standards-Version: 4.7.2 (no changes necessary)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.
    Thanks to Carles Pina i Estany <carles@pina.cat> (Closes: #1101638)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 02 Apr 2025 07:23:55 +0200

aide (0.18.8-2) unstable; urgency=medium

  * new rules:
    * 31_aide_debsums
    * 31_aide_selinux
    * 31_aide_fwupd
    * 10_aide_bootid defining macro for current boot id
    * 10_aide_days adding macros for today, yesterday
      and the day before
  * improve rules:
    * 31_aide_udev
    * 31_aide_systemd-cron
    * 31_aide_systemd
    * 31_aide_ssh-server
    * 31_aide_rsyslog
    * 31_aide_netdata
    * 31_aide_grub-efi
    * 31_aide_exim4
    * 31_aide_dokuwiki
    * 31_aide_aptitude
    * 10_aide_machineid
    * 31_aide_postgresql-15
    * 31_aide_runuser
    * 31_aide_apt
    * 31_aide_spamassassin (use bootid)
  * 10_aide_sourceslist: fix bug regarding subdirs in /etc/apt/sources.list.d
    (Closes: #1076667)
  * cherry-pick upstream fix: Move failed JIT compilation log message
    to DEBUG level. Thanks to Matthew Vernon (Closes: #1087721)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 25 Nov 2024 09:32:31 +0100

aide (0.18.8-1) unstable; urgency=medium

  [ Marc Haber ]
  * new upstream version 0.18.8
    * (Closes: #1070805)
  * add ActiveDir to aide.conf
  * 10_aide_constants: add IP6ADDRESSU with _ instead of :
  * improve PHP rules: 31_aide_php, 31_aide_php-fpm. remove 31_aide_php7
    Thanks to Frederik Himpe (Closes: #1060222)
  * rule improvements:
    * 31_aide_apt: InRelease files sometimes change their ACL
    * 31_aide_apt-cacher-ng: various improvements
    * 31_aide_exim4: new spool file regexp
    * 31_aide_exim4_logs: more flexibility
    * 31_aide_grub-efi
    * 31_aide_man: CACHEDIR.TAG may vanish in newer versions of man-db
    * 31_aide_munin: munin-update.stats
    * 31_aide_redis: more flexibility
    * 31_aide_runuser: systemd os-release files
    * 31_aide_samba
    * 31_aide_sniproxy: reference sniproxy bug report
    * 31_aide_spamassassin
    * 31_aide_sudo: in unstable, the sudo ts file is named after numeric uid
    * 31_aide_systemd: systemd os-release files
    * 31_aide_systemd_journald: system.journal changes acl in operation
    * 31_aide_udev
  * Move touched rules to leading space notation

  [ Hannes von Haugwitz ]
  * Switch Build-Depends from pkg-config to pkgconf
  * Bump to Standards-Version 4.7.0 (no changes)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 15 May 2024 17:20:33 +0200

aide (0.18.6-2) unstable; urgency=medium

  * the last version was accidentally uploaded with a not
    yet released warning in changelog.
  * adapt spamassassin rule for bookworm
  * Recommend cron | cron-daemon.
    Thanks to Alexandre Detiste (Closes: #1052487)
  * improve rules:
    * 10_aide_hostname
    * 31_aide_apt-cacher-ng
    * 31_aide_dpkg
    * 31_aide_grub
  * fix typo in 31_aide_munin
  * re-work mail sending in dailyaidecheck.
  * rename aide cron job to dailyaidecheck

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 04 Oct 2023 18:14:42 +0200

aide (0.18.6-1) unstable; urgency=medium

  * New upstream version 0.18.6
    * Improve handling of ACL errors
    * Fix double free() during report generation
  * Use mail(1) if called from cron via capsh.
    Thanks to Guillem Jover (Closes: #1032387)
  * robustness changes in shell scripts
  * update postgresql rule for postgresql 15
  * new rules:
    * munin-node
    * haveged
  * remove obsolete roles:
    * mailman 2
  * rule improvements:
    * 31_aide_atop: add proper restrictions
    * 31_aide_rsyslog: do not try to unset an already unset variable
    * systemd-journald
    * 31_aide_apt
    * 31_aide_apt-cacher-ng
    * 31_aide_borgbackup
    * 31_aide_cereal
    * 31_aide_clamav-unofficial-sigs
    * 31_aide_cron-apt
    * 31_aide_dev
    * 31_aide_dokuwiki
    * 31_aide_dovecot
    * 31_aide_icinga2
    * 31_aide_inn2
    * 31_aide_libvirt
    * 31_aide_lvm2
    * 31_aide_munin
    * 31_aide_openvpn
    * 31_aide_php-fpm
    * 31_aide_rsyslog
    * 31_aide_runuser
    * 31_aide_screen

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 01 Jul 2023 13:26:22 +0200

aide (0.18.5-1) unstable; urgency=medium

  * New upstream version 0.18.5
    * Fix broken handling of equals rules. Closes: #1039936

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 26 Jun 2023 21:53:51 +0200

aide (0.18.4-1) unstable; urgency=medium

  * New upstream version 0.18.4
  * remove unneeded patch

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 14 Jun 2023 16:51:49 +0200

aide (0.18.3-2) unstable; urgency=medium

  * improve 31_aide_atop rule
  * call dh_installsysusers manually in debian/rules
    Thanks to Tomasz Ciolek (Closes: #1037171)
  * Fix handling of extended attributes on symlinks. (Closes: #1037436)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 14 Jun 2023 16:48:04 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog aide`.
